Get Mitigation Job Action Result By Job ID

Use this API to fetch the results of the mitigation job action results for the specified job ID.

POST/mtg/v1/deploymentjob/{deploymentJobId}/deploymentjobresult/actions

Input ParametersInput Parameters

Parameter

Mandatory/
Optional

Data Type

Description

agentUUID Mandatory String Specify the agent UUID. 
endDateTime Mandatory Integer Specify the endDateTime. 
Example,  "endDateTime": 1751198812665

You can get the endDateTime from the response of Get Mitigation Deployment Job Result Summary API.

deploymentjobid Mandatory String Specify the deployment ID.

Sample - Get mitigation job action result by job IDSample - Get mitigation job action result by job ID

API Request

curl -X 'POST' \
  '<qualys_base_url>/mtg/v1/deploymentjob/fa078690-2829-4724-9954-c7e51c0078b0/deploymentjobresult/actions?agentUUID=5b365616-9c57-4225-a16b-dea69b143a77&endDateTime=1751198812665' \
  -H 'accept: application/json' \
  -H 'Authorization: Bearer <JWT_Token>' \
  -H 'Content-Type: application/json' \
  -d 

API Body

{
  "query": "actionStatus:[Succeeded,Failed,Skipped,Partial]"
}

API Response

[
  {
    "id": "bcbad0d7-48b9-4219-b7e3-144ba33ab8f1",
    "actionType": "Pre-action",
    "action": "Apply Mitigation",
    "params": {
      "actionItem": "379223Win19-8",
      "hostVulnId": "79369755",
      "mitigationCategory": "Virtual Patching",
      "qid": "90043",
      "qidDetectionId": "278889858",
      "timeout": "180",
      "qidTitle": "SMB Signing Disabled or SMB Signing Not Required",
      "qds": "35",
      "detectionScoreMax": "35",
      "detectionScoreMin": "35"
    },
    "errorMessage": "Internal Server Error",
    "returnCode": 101,
    "statusCode": 101,
    "mitigationList": [
      {
        "mitigationId": "26107aea-e566-4ced-afbf-3aa0e596079c",
        "mitigationType": "DUMMY SCRIPT",
        "impactFactor": 15,
        "implication": 0,
        "cves": [
          "CVE-2023-24882"
        ],
        "args": [
          {
            "argName": "port",
            "argValue": "80"
          }
        ],
        "status": "Failed",
        "errorCode": 101,
        "errorMessage": "Internal Server Error"
      }
    ],
    "qidProperties": {
      "port": [
        "80"
      ]
    }
  },
  {
    "id": "d73b5ee2-ce9c-4b1f-a510-37ff9bc232d6",
    "actionType": "Pre-action",
    "action": "Apply Mitigation",
    "params": {
      "actionItem": "91996Win19-8",
      "hostVulnId": "79369755",
      "mitigationCategory": "Virtual Patching",
      "qid": "90044",
      "qidDetectionId": "278889858",
      "timeout": "180",
      "qidTitle": "Allowed Null Session",
      "qds": "37",
      "detectionScoreMax": "37",
      "detectionScoreMin": "36"
    },
    "errorMessage": "Internal Server Error",
    "returnCode": 2,
    "statusCode": 2,
    "mitigationList": [
      {
        "mitigationId": "414d7f53-1409-4045-ba3d-7e71ef39abfb",
        "mitigationType": "DUMMY SCRIPT",
        "impactFactor": 15,
        "implication": 0,
        "cves": [
          "CVE-2022-41125"
        ],
        "args": [
          {
            "argName": "port",
            "argValue": "80"
          }
        ],
        "status": "Succeeded",
        "errorCode": 0,
        "errorMessage": "Internal Server Error"
      },
      {
        "mitigationId": "270b9309-0f35-43e4-98a0-d14205842a25",
        "mitigationType": "Disable Feature",
        "impactFactor": 25,
        "implication": 0,
        "cves": [
          "CVE-2022-41128"
        ],
        "args": [
          {
            "argName": "port",
            "argValue": "80"
          },
          {
            "argName": "port",
            "argValue": "90"
          },
          {
            "argName": "Software",
            "argValue": "Chrome"
          }
        ],
        "status": "Failed",
        "errorCode": 101
      }
    ],
    "qidProperties": {
      "port": [
        "90",
        "80"
      ],
      "Software": [
        "Chrome"
      ]
    }
  }
]